const init = async () => {
  window["client"] = await app.initialized();
  console.log("here");
  client.events.on("app.activated", watchChanges);
};

init();

async function watchChanges() {
  const data = await client.data.get("ticket");
  if (data.ticket.id !== 54437) return;
  client.events.on("ticket.propertiesUpdated", async (_event) => {
    const data = _event.helper.getData();
    if (!data?.changedAttributes?.tags) return;
    console.log(data.changedAttributes.tags);
    const anything = await client.request.invoke("testBackendCall", _event);
    console.log(anything);
  });
}
